NVME-DISCONNECT(1)

NAME
nvme-disconnect - Disconnect one or more Fabrics controller(s).

SYNOPSIS

nvme disconnect
                [--nqn=<subnqn>           | -n <subnqn>]
                [--device=<device>        | -d <device>]

DESCRIPTION

Disconnects and removes one or more existing NVMe over Fabrics controllers. If the --nqn option is specified all controllers connecting to the Subsystem identified by subnqn will be removed. If the --device option is specified the controller specified by the --device option will be removed.

OPTIONS

-n <subnqn>, --nqn <subnqn>
    Indicates that all controllers for the NVMe subsystems specified should be removed.

-d <device>, --device <device>
    Indicates that the controller with the specified name should be removed.

EXAMPLES

    • Disconnect all controllers for a subsystem named nqn.2014-08.com.example:nvme:nvm-subsystem-sn-d78432:

        # nvme disconnect --nqn=nqn.2014-08.com.example:nvme:nvm-subsystem-sn-d78432

    • Disconnect the controller nvme4

        # nvme disconnect --device=nvme4

SEE ALSO

nvme-connect(1)

NVME

Part of the nvme-user suite